#region GNU_GPL
// Copyright (c) 2003 The Ohio State University
//
// Anish Arora <anish@cis.ohio-state.edu>
// Jason O. Hallstrom <hallstro@cis.ohio-state.edu>
// William M. Leal <leal@cis.ohio-state.edu>
//
// This file is part of DVI.
//
// DVI is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// DVI is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with DVI; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#endregion


using System;
using System.Windows.Forms;


namespace OSU.DVI.GUI.TabPageControls
{
	
	public class InterceptorChainsPageControl : RefreshableManagedObjectListViewControl
	{
		#region Fields
		//-----------------------------------------------------------------
		// Fields
		//-----------------------------------------------------------------
		// The 'Interceptor Chains' popup menu and associated menu items
		private ContextMenu cmInterceptorChainsPopup;
		private MenuItem miViewInterceptors;

		// A remote reference to (i.e. proxy for) the remote interceptor chain registry
		private PlatformInterceptorChainRegistry picRemoteRegistry;
		//-----------------------------------------------------------------
		#endregion

		
		#region Constructors
		//-----------------------------------------------------------------
		// Constructors
		//-----------------------------------------------------------------
		public InterceptorChainsPageControl() 
		{
			//---
			// Setup the 'Interceptor Chains' context menu
			this.miViewInterceptors = new MenuItem("&View Interceptors");
			this.miViewInterceptors.Click += new EventHandler(miViewInterceptors_Click);			
			MenuItem[] miMenuItems = { miViewInterceptors };
			
			this.cmInterceptorChainsPopup = new ContextMenu(miMenuItems);
			this.cmInterceptorChainsPopup.Popup += new EventHandler(cmInterceptorChainsPopup_Popup);
			//---

			this.picRemoteRegistry = null;
		}
		//-----------------------------------------------------------------
		#endregion


		#region Event Handlers
		//-----------------------------------------------------------------
		// Event Handlers
		//-----------------------------------------------------------------
		private void cmInterceptorChainsPopup_Popup(object objSource, EventArgs eaArgs)
		{	miDeployCallTracking.Enabled = (this.SelectedItems.Count > 0);    }

		private void miDeployCallTracking_Click(object objSource, EventArgs eaArgs)
		{
			// Retrieve the managed object information for the selected interceptor object
			object objInterceptor = this.SelectedItems[0].Tag;
			
			//---
			// Startup a thread to initialize call tracking
			ThreadWithArgumentsStart twaCTInitializationThread = new ThreadWithArgumentsStart(InitializeCallTrackingThreadBody);
			Thread thdCTInitializationThread = ThreadWithArgumentsFactory.CreateThread(twaCTInitializationThread, objManagedObject);
			thdCTInitializationThread.IsBackground = true;
			thdCTInitializationThread.Start();
			//---
		}
		//-----------------------------------------------------------------
		#endregion


		#region Methods
		//-----------------------------------------------------------------
		// Methods
		//-----------------------------------------------------------------

		//-----------------------------------------------------------------
		#endregion
	}

}
