#region GNU_GPL
// Copyright (c) 2003 The Ohio State University
//
// Anish Arora <anish@cis.ohio-state.edu>
// Jason O. Hallstrom <hallstro@cis.ohio-state.edu>
// William M. Leal <leal@cis.ohio-state.edu>
//
// This file is part of DVI.
//
// DVI is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// DVI is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with DVI; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#endregion


using System;
using OSU.DRSS.Platform;
using OSU.DVI.GUI.ManagedObjects;


namespace OSU.DVI.GUI.ControlInitializers
{
	
	public class ActiveObjectsControlInitializer
	{
		#region Fields
		//-----------------------------------------------------------------
		// Fields
		//-----------------------------------------------------------------
		// The underlying custom control to be initialized
		private RefreshableManagedObjectListViewControl ctrActiveObjectsPageControl;
		
		// A reference to the remote stub/skeleton registry
		private PlatformStubSkeletonRegistry pssRemoteRegistry;
		//-----------------------------------------------------------------
		#endregion

		
		#region Constructors
		//-----------------------------------------------------------------
		// Constructors
		//-----------------------------------------------------------------
		public ActiveObjectsControlInitializer(RefreshableManagedObjectListViewControl ctrActiveObjectsPageControl, PlatformStubSkeletonRegistry pssRemoteRegistry)
		{	
			this.ctrActiveObjectsPageControl = ctrActiveObjectsPageControl;
			this.pssRemoteRegistry = pssRemoteRegistry;    
		}
		//-----------------------------------------------------------------
		#endregion


		#region Methods
		//-----------------------------------------------------------------
		// Methods
		//-----------------------------------------------------------------
		public void InitializeControl()
		{	ctrActiveObjectsPageControl.InitializeControl(null, "AO", new ManagedObjectProducerDelegate(pssRemoteRegistry.GetActiveObjects));    }
		//-----------------------------------------------------------------
		#endregion
	}

}
