#region GNU_GPL
// Copyright (c) 2003 The Ohio State University
//
// Anish Arora <anish@cis.ohio-state.edu>
// Jason O. Hallstrom <hallstro@cis.ohio-state.edu>
// William M. Leal <leal@cis.ohio-state.edu>
//
// This file is part of DVI.
//
// DVI is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// DVI is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with DVI; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#endregion


using System;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using OSU.DVI.GUI.ManagedObjects;


namespace OSU.DVI.GUI.ManagedObjects
{
	
	public class ManagedObjectListViewDialog : Form
	{
		#region Fields
		//-----------------------------------------------------------------
		// Fields
		//-----------------------------------------------------------------
		// This field is required by the Windows Form Designer
		private System.ComponentModel.Container components = null;

		// The 'Managed Objects' list-view
		private ManagedObjectListViewControl mlvManagedObjects;

		// The 'OK' button
		private Button btnOK;
		//-----------------------------------------------------------------
		#endregion

		
		#region Constructors
		//-----------------------------------------------------------------
		// Constructors
		//-----------------------------------------------------------------
		public ManagedObjectListViewDialog(ContextMenu cmManagedObjectsPopup)
		{
			// Required for Windows Form Designer support
			InitializeComponent();

			// Initialize the 'Managed Objects' list-view control
			mlvManagedObjects.InitializeControl(cmManagedObjectsPopup);
		}
		//-----------------------------------------------------------------
		#endregion


		#region Properties
		//-----------------------------------------------------------------
		// Properties
		//-----------------------------------------------------------------
		public ListView.SelectedListViewItemCollection SelectedItems
		{
			get
			{	return(mlvManagedObjects.SelectedItems);    }
		}
		//-----------------------------------------------------------------
		#endregion


		#region Event Handlers
		//-----------------------------------------------------------------
		// Event Handlers
		//-----------------------------------------------------------------
		private void btnOK_Click(object objSource, EventArgs eaArgs)
		{	this.DialogResult = DialogResult.OK;    }
		//-----------------------------------------------------------------
		#endregion


		#region Methods
		//-----------------------------------------------------------------
		// Methods
		//-----------------------------------------------------------------
		public DialogResult ShowDialog(IEnumerator enmManagedObjects)
		{
			mlvManagedObjects.RefreshManagedObjects(enmManagedObjects);
			return(this.ShowDialog());
		}

		protected override void Dispose(bool bolDisposing)
		{
			if((bolDisposing) && (components != null))
			{	components.Dispose();    }
			
			base.Dispose(bolDisposing);
		}
		//-----------------------------------------------------------------
		#endregion


		#region Windows Form Designer Generated Code
		//-----------------------------------------------------------------
		// Windows Form Designer Generated Code
		//-----------------------------------------------------------------
		// Required method for Windows Form Designer support - do not modify
		// the contents of this method with the code editor.
		//-----------------------------------------------------------------
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(ManagedObjectListViewDialog));
			this.mlvManagedObjects = new OSU.DVI.GUI.ManagedObjects.ManagedObjectListViewControl();
			this.btnOK = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// mlvManagedObjects
			// 
			this.mlvManagedObjects.Anchor = (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.mlvManagedObjects.Location = new System.Drawing.Point(7, 7);
			this.mlvManagedObjects.Name = "mlvManagedObjects";
			this.mlvManagedObjects.Size = new System.Drawing.Size(280, 177);
			this.mlvManagedObjects.TabIndex = 0;
			// 
			// btnOK
			// 
			this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.btnOK.Location = new System.Drawing.Point(16, 189);
			this.btnOK.Name = "btnOK";
			this.btnOK.Size = new System.Drawing.Size(264, 23);
			this.btnOK.TabIndex = 1;
			this.btnOK.Text = "OK";
			this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
			// 
			// ManagedObjectListViewDialog
			// 
			this.AcceptButton = this.btnOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 221);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.btnOK,
																		  this.mlvManagedObjects});
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedToolWindow;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "ManagedObjectListViewDialog";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Managed Objects";
			this.ResumeLayout(false);
		}
		//-----------------------------------------------------------------
		#endregion
	}

}
